from datetime import datetime, timedelta
from os import getenv

from jwt import decode, encode


def expire_date(days: int):
    return datetime.now() + timedelta(days)


# TODO: migrar a librería 'jose'

def write_token(data: dict):
    return encode(
        payload={**data, "exp": expire_date(1)}, key=getenv("SECRET"), algorithm="HS256"
    )


def validate_token(token):
    return decode(token, key=getenv("SECRET"), algorithms=["HS256"])
